<project>
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.kevin-read</groupId>
    <artifactId>syslog4j-parent</artifactId>
    <version>1-SNAPSHOT</version>
  </parent>
  <artifactId>syslog4j</artifactId>
  <version>0.9.48</version>
  <packaging>jar</packaging>
  <name>${project.artifactId}</name>

  <description>Syslog4j provides client and server implementations of the BSD
    Syslog protocol (RFC 3164) and the draft "structured syslog" protocol (RFC
    Draft).
  </description>
  <url>https://gitlab.com/om7sense-public/libraries/syslog4j/</url>
  <inceptionYear>2007</inceptionYear>
  <scm>
    <connection>scm:git@gitlab.com:om7sense-public/libraries/${project.artifactId}.git
    </connection>
    <developerConnection>${project.scm.connection}</developerConnection>
    <url>https://gitlab.com/om7sense-public/libraries/${project.artifactId}</url>
    <tag>HEAD</tag>
  </scm>
  <repositories>
    <repository>
      <id>syslog4j-parent</id>
      <url>https://gitlab.com/api/v4/projects/37233727/packages/maven</url>
    </repository>
    <repository>
      <id>gitlab-maven</id>
      <url>${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/maven</url>
    </repository>
  </repositories>
  <distributionManagement>
    <repository>
      <id>gitlab-maven</id>
      <url>${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/maven</url>
    </repository>
    <snapshotRepository>
      <id>gitlab-maven</id>
      <url>${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/maven</url>
    </snapshotRepository>
  </distributionManagement>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <excludes>
            <exclude>**/Syslog4jTest.java</exclude>
          </excludes>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.8.0</version>
        <configuration>
          <source>11</source>
          <target>7</target>
          <release>11</release>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>commons-pool</groupId>
      <artifactId>commons-pool</artifactId>
      <optional>true</optional>
    </dependency>

    <dependency>
      <groupId>joda-time</groupId>
      <artifactId>joda-time</artifactId>
      <version>2.10.14</version>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>net.java.dev.jna</groupId>
      <artifactId>jna</artifactId>
      <version>5.11.0</version>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project> 
